<ion-header [translucent]="true">
  <ion-toolbar>
    <ion-title>
      Socure DocV Ionic Capacitor
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content [fullscreen]="true">
  <ion-header collapse="condense">
    <ion-toolbar>
      <ion-title size="large">Socure DocV Ionic Capacitor</ion-title>
    </ion-toolbar>
  </ion-header>

  <ion-card>
    <ion-card-content>
      <div *ngIf="captureSelfieResult">
        <div
          *ngIf="captureSelfieResult.image"
        >
          <ion-img
            class="card-image"
            [src]="imageUriPrefix + captureSelfieResult.image"
          ></ion-img>
        </div>
      </div>
      <div
        *ngIf="!captureSelfieResult"
        style="width: 100px; margin: auto;"
      >
        <ion-img src="/assets/images/selfie.svg"></ion-img>
      </div>
      <ion-button
        *ngIf="!captureSelfieResult"
        class="ion-margin-top"
        size="large"
        expand="block"
        (click)="captureSelfie()"
      >
        Take Selfie
      </ion-button>
      <ion-button
        *ngIf="captureSelfieResult"
        class="ion-margin-top"
        size="large"
        expand="block"
        color="danger"
        (click)="clearSelfie()"
      >
        Clear
      </ion-button>
    </ion-card-content>
  </ion-card>

  <ion-card>
    <ion-item>
      <ion-label>ID Document</ion-label>
      <ion-select
        placeholder="Select One"
        [(ngModel)]="idDoc"
      >
        <ion-select-option value="PP">Passport</ion-select-option>
        <ion-select-option value="DL">Driver's License</ion-select-option>
      </ion-select>
    </ion-item>
    <ion-card-content *ngIf="idDoc">
      <div *ngIf="idDoc === 'PP'">
        <div *ngIf="scannedPassportResult">
          <div
            *ngIf="scannedPassportResult.frontImage"
            style="max-width: 500px; margin: auto;"
          >
            <ion-img
              class="card-image"
              [src]="imageUriPrefix + scannedPassportResult.frontImage"
            ></ion-img>
          </div>
        </div>
        <div *ngIf="passportDataString">
          {{passportDataString}}
        </div>
        <div
          *ngIf="!scannedPassportResult"
          style="width: 100px; margin: auto;"
        >
          <ion-img src="/assets/images/passport.svg"></ion-img>
        </div>
        <ion-button
          *ngIf="!scannedPassportResult"
          class="ion-margin-top"
          size="large"
          expand="block"
          (click)="scanPassport()"
        >
          Scan Passport
        </ion-button>
        <ion-button
          *ngIf="scannedPassportResult"
          class="ion-margin-top"
          size="large"
          expand="block"
          color="danger"
          (click)="clearPassport()"
        >
          Clear
        </ion-button>
      </div>
      <div *ngIf="idDoc === 'DL'">
        <div *ngIf="scannedLicenseResult">
          <div
            *ngIf="scannedLicenseResult.frontImage"
            style="max-width: 500px; margin: auto;"
          >
            <ion-img
              class="card-image"
              [src]="imageUriPrefix + scannedLicenseResult.frontImage"
            ></ion-img>
          </div>
          <div
            *ngIf="scannedLicenseResult.backImage"
            style="max-width: 500px; margin: auto;"
          >
            <ion-img
              class="card-image"
              [src]="imageUriPrefix + scannedLicenseResult.backImage"
            ></ion-img>
          </div>
        </div>
        <div *ngIf="licenseDataString">
          {{licenseDataString}}
        </div>
        <div
          *ngIf="!scannedLicenseResult"
          style="width: 100px; margin: auto;"
        >
          <ion-img src="/assets/images/driver-license-car.svg"></ion-img>
        </div>
        <ion-button
          *ngIf="!scannedLicenseResult"
          class="ion-margin-top"
          size="large"
          expand="block"
          (click)="scanLicense()"
        >
          Scan ID
        </ion-button>
        <ion-button
          *ngIf="scannedLicenseResult"
          class="ion-margin-top"
          size="large"
          expand="block"
          color="danger"
          (click)="clearLicense()"
        >
          Clear
        </ion-button>
      </div>
    </ion-card-content>
  </ion-card>
  <ion-card-content>
    <ion-button
      size="large"
      expand="block"
      [disabled]="!(captureSelfieResult && (scannedLicenseResult || scannedPassportResult))"
      (click)="uploadScannedInfo()"
    >
      Upload Scanned Info
    </ion-button>
    <div *ngIf="uploadScannedInfoResultString">
      {{uploadScannedInfoResultString}}
    </div>
  </ion-card-content>
</ion-content>
